
Name:           onionshare
Version:        0.9
Release:        %mkrel 1
Summary:        Securely and anonymously share files of any size
License:        GPLv3
URL:            https://onionshare.org/
Source0:        https://github.com/micahflee/%{name}/archive/%{commit}/%{name}-%{version}.tar.xz
Group:		System/Servers
BuildArch:      noarch
BuildRequires: python3-devel
BuildRequires: desktop-file-utils
Requires: python3
Requires: python3-flask
Requires: python3-stem
Requires: python3-qt5
Requires: python3-werkzeug
Requires: python3-itsdangerous
Requires: tor-browser-bundle
Requires: python3-jinja2
Requires: python3-sip
Requires: python3-click

%description
OnionShare lets you securely and anonymously share files of any size. It works
by starting a web server, making it accessible as a Tor hidden service, and
generating an unguessable URL to access and download files. It doesn't require
setting up a server on the internet somewhere or using a third party
file sharing service. You host files on your own computer and use a Tor
hidden service to make it temporarily accessible over the internet. The other
user just needs to use Tor Browser to download a file from you.


%prep
%setup -q
sed -i '/^Encoding/ d' install/%{name}.desktop


%build
%{__python3} setup.py build


%install
rm -rf %buildroot
%{__python3} setup.py install --skip-build --root %{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%doc LICENSE README.md
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/*
%{_datadir}/applications/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_bindir}/%{name}
%{_bindir}/%{name}-gui
%{python3_sitelib}/%{name}/*
%{python3_sitelib}/%{name}_gui/*
%{python3_sitelib}/%{name}-%{version}-py3.4.egg-info


%changelog
* Sun Jun 26 2016 ghostbunny <ghostbunny at gmx dot de> 0.9-1pclos2016
- 0.9
- switch from python2 to python3, also from qt4 to qt5
- add new BR python3-sip

* Tue Apr 05 2016 ghostbunny <ghostbunny at gmx dot de> 0.8.1-1pclos2016
- 0.8.1

* Tue Jul 14 2015 bb <bb> 0.7.1-2pclos2015
- add missing dependency

* Mon Jul 13 2015 bb <bb> 0.7.1-1pclos2015
- create package
